### Function

# Pango TabArray new_with_positions

#### Declaration [src]

    PangoTabArray*
    pango_tab_array_new_with_positions (
      gint size,
      gboolean positions_in_pixels,
      PangoTabAlign first_alignment,
      gint first_position,
      ...
    )

#### Description [src]

Creates a `PangoTabArray` and allows you to specify the alignment and position of each tab stop.

You must provide an alignment and position for `size` tab stops.

#### Parameters

`size` | `gint`
| Number of tab stops in the array.
`positions_in_pixels` | `gboolean`
| Whether positions are in pixel units.
`first_alignment` | `PangoTabAlign`
| Alignment of first tab stop.
`first_position` | `gint`
| Position of first tab stop.
`...` | ``
| Additional alignment/position pairs.

#### Return value

Returns: | `PangoTabArray`
| The newly allocated `PangoTabArray`, which should be freed with `pango_tab_array_free()`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.